eTB Manager - Bug #418

Change warning messages when entering new medicine in administration module
02/22/2013 04:34 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 02/22/2013
Priority: High Due date:

Assignee: Luis Gustavo do Valle Bastos % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Version 2.1 Spent time: 0.00 hour
Component: Administration

Description

If the user enters the field “Strength” as letters the system shows the message: value must be an integer number between
-2147483648 and 2147483647. Replace to the message: Value must be a number.

History

#1 - 09/02/2013 06:44 PM - Ricardo Memoria

- Status changed from New to Resolved

Implemented and available in dev server

#2 - 09/02/2013 06:44 PM - Ricardo Memoria

- Assignee changed from Ricardo Memoria to Luis Gustavo do Valle Bastos

#3 - 01/07/2014 04:17 PM - Luis Gustavo do Valle Bastos

- Subject changed from Change message when entering new medicine in administration module to Change warning messages when entering new
medicine in administration module

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Ricardo Memoria

System should allows as suggested below, and displays warning messages when users enter different characters:
Strength: only numbers
Unit: only letters

Dosage Form: only letters

#4 - 02/14/2014 05:42 PM - Ricardo Memoria
- File medicine.png added
- Status changed from Feedback to Resolved

- Assignee changed from Ricardo Memoria to Luis Gustavo do Valle Bastos

In terms of cost/effect, this is the best that can be done by now.

e Including hint message bellow the fields;
¢ In numeric fields, displaying a standard message;
ID: 941301

Generic Name:* |TE5t

Abbreviated name:* |T |

Strength:* |1 00mg | {e.z. 500) value is not of the correct type

Unit:*
Dosage Form:* |tab {e.g. tablet)
Category:* | Oral v

Type:* | Second line ¥

mg | je.g. mg)

H

#5 - 09/24/2016 08:23 PM - Ricardo Memoria

- Status changed from Resolved to Closed

Files
medicine.png 13.1 KB 02/14/2014 Ricardo Memoria
